# $Revision: 1.22 $, $Date: 2008/07/27 22:29:35 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	WhiteHole
Summary:	Class::WhiteHole - prevent from inheriting AUTOLOAD
Summary(pl.UTF-8):	Class::WhiteHole - ochrona przed dziedziczeniem AUTOLOAD
Name:		perl-Class-WhiteHole
Version:	0.04
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	43b986ad7d5d186a9a43d2d69a2ef327
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Its possible to accidentally inherit an AUTOLOAD method.  Often this
will happen if a class somewhere in the chain uses AutoLoader or defines
one of their own.  This can lead to confusing error messages when method
lookups fail.

Sometimes you want to avoid this accidental inheritance.  In that case,
inherit from Class::WhiteHole.  All unhandled methods will produce normal
Perl error messages.

%description -l pl.UTF-8
Istnieje możliwość przypadkowego odziedziczenia metody AUTOLOAD.  Często
zdarzy się to, gdy jedna z łańcucha klas stosuje AutoLoader lub definiuje
własną.  Może to spowodować dziwne komunikaty błędów, gdy odszukanie metody
nie powiedzie się.

Czasami chcesz uniknąć przypadkowego dziedziczenia.  W takim wypadku,
odziedzicz po Class::WhiteHole.  Każde wywołanie nieistniejącej metody
spowoduje zwyczajną informację o błędzie Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-WhiteHole.spec,v $
Revision 1.22  2008/07/27 22:29:35  arekm
- release 2

Revision 1.21  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:25  baggins
- converted to UTF-8

Revision 1.19  2004/11/03 22:30:10  paladine
- formatting

Revision 1.18  2004/10/24 14:02:38  paladine
- perla->Perla

Revision 1.17  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.16  2004/05/06 17:56:59  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.14  2004/04/22 20:42:10  ankry
- bconds added

Revision 1.13  2004/04/18 16:56:36  ankry
- license fixes and unification

Revision 1.12  2003/09/15 08:17:34  adamg
- updated to 0.04

Revision 1.11  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 18:45:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/28 10:08:15  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/02/25 00:37:39  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:13  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/12/02 11:06:23  ankry
- massive cleaning

Revision 1.1  2002/07/23 02:14:10  radek
- new, STBR

